### Class

# FwupdPlugin IntelThunderboltNvm

#### Description [src]

    class FwupdPlugin.IntelThunderboltNvm : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

The Non-Volatile-Memory device specification. This is what you would find on the device SPI chip.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Descendants

- FuIntelThunderboltFirmware

#### Constructors

###### fu_intel_thunderbolt_nvm_new

Creates a new `FuFirmware` of Intel NVM format.

since: 1.8.5

#### Functions

###### fu_intel_thunderbolt_nvm_family_from_string

Converts a string to an enumerated value.

###### fu_intel_thunderbolt_nvm_family_to_string

Converts an enumerated value to a string.

###### fu_intel_thunderbolt_nvm_section_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_intel_thunderbolt_nvm_get_device_id

Gets the device ID.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_get_flash_size

Gets the flash size.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_get_model_id

Gets the model ID.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_get_vendor_id

Gets the vendor ID.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_has_pd

Gets if the device has power delivery capability.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_is_host

Gets if the firmware is designed for a host controller rather than a device.

since: 1.8.5

###### fu_intel_thunderbolt_nvm_is_native

Gets if the device is native, i.e. not in recovery mode.

since: 1.8.5

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIntelThunderboltNvmClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.